Index: optimize/opt_config
===================================================================
--- optimize/opt_config	(revision 73d97909661def2dc96750f802b706595ced3174)
+++ optimize/opt_config	(revision b5aa524102967f7eda612affd8f7e8e989e3e7cd)
@@ -16,6 +16,9 @@
 #    This mode is overridden by definitions in opt_override;
 #    in this way, packages can be tuned independently.  For example,
-#    if you have trouble building a package in mode defOpt, add
+#    if you have trouble building a package in the mode set here, add
 #    the package to opt_override with a different mode.
+#
+#    Not set here combined modes of form defOpt_myMode.
+#    Combined modes of form modeA_modeB can be set here.
 DEF_OPT_MODE=O3pipe
 
Index: optimize/opt_config.d/O3pipe
===================================================================
--- optimize/opt_config.d/O3pipe	(revision 73d97909661def2dc96750f802b706595ced3174)
+++ optimize/opt_config.d/O3pipe	(revision b5aa524102967f7eda612affd8f7e8e989e3e7cd)
@@ -10,4 +10,6 @@
 #          instead of just set to null.
 #
+# Use this as an example for cunstomized modes
+#
 #####
 
Index: optimize/opt_config.d/O3pipe_march
===================================================================
--- optimize/opt_config.d/O3pipe_march	(revision 73d97909661def2dc96750f802b706595ced3174)
+++ optimize/opt_config.d/O3pipe_march	(revision b5aa524102967f7eda612affd8f7e8e989e3e7cd)
@@ -9,4 +9,6 @@
 #        - "unset" will cause the variable to be not set
 #          instead of just set to null.
+#
+# Use this as an example for modeA_modeB combined modes
 #
 #####
Index: optimize/opt_config.d/defOpt_fPIC
===================================================================
--- optimize/opt_config.d/defOpt_fPIC	(revision 73d97909661def2dc96750f802b706595ced3174)
+++ optimize/opt_config.d/defOpt_fPIC	(revision b5aa524102967f7eda612affd8f7e8e989e3e7cd)
@@ -1,9 +1,17 @@
+#
+#$Id$
+#
 #####
 #
 # MODE defOpt_fPIC configuration
 #
+# WARNING: Do not edit this mode unless you know what you are
+#          doing. It's required to build Zlib.
+#
 # Usage: - Apply optimization string to each variable
 #        - "unset" will cause the variable to be not set
 #          instead of just set to null.
+#
+# Use this as an example for defOpt_myMode combined modes
 #
 #####
Index: optimize/opt_config.d/noSymbols
===================================================================
--- optimize/opt_config.d/noSymbols	(revision 73d97909661def2dc96750f802b706595ced3174)
+++ optimize/opt_config.d/noSymbols	(revision b5aa524102967f7eda612affd8f7e8e989e3e7cd)
@@ -10,9 +10,9 @@
 #          instead of just set to null.
 #
+# NOTE: If using this mode in DEF_OPT_MODE (alone or combined with
+#       other modes) please set STRIP=0 in common/config
+#
 #####
-#
-# NOTE: If using this mode in DEF_OPT_MODE (alone or combined with
-# other modes) please set STRIP=0 in common/config
-#
+
 CFLAGS_noSymbols="-s"
 CXXFLAGS_noSymbols=$CFLAGS_noSymbols
Index: optimize/optimize_functions
===================================================================
--- optimize/optimize_functions	(revision 73d97909661def2dc96750f802b706595ced3174)
+++ optimize/optimize_functions	(revision b5aa524102967f7eda612affd8f7e8e989e3e7cd)
@@ -13,6 +13,6 @@
   echo -e "\t\t${RED}${BOLD}WARNING:${OFF}\n"
   echo -e "${BOLD}The use of build optimizations may be dangerous.\n"
-  echo -e "You should to know what you are doing and be sure that"
-  echo -e "the optimization settings listed below are what you want.\n"
+  echo -e "You should know what you are doing and be sure that the"
+  echo -e "optimization settings listed below are what you want.\n"
   echo -e "If there are build issues or the system doesn't work as"
   echo -e "expected, please rebuild without optimizations before"
@@ -20,5 +20,7 @@
 
   echo -e "MAKEFLAGS: ${L_arrow}${BOLD}${MAKEFLAGS}${OFF}${R_arrow}"
+  [[ "$MAKEFLAGS" != "unset" ]] && \
   echo -e "DejaGNU, Gettext, and Groff will not use MAKEFLAGS\n"
+
   echo -e "DEF_OPT_MODE: ${L_arrow}${BOLD}${DEF_OPT_MODE}${OFF}${R_arrow}\n"
 
